@import "variables/colors";
@import "variables/font";

.success {
  align-items: center;
  display: flex;
  flex-direction: column;

  h1 {
    color: $caribbean-green-60;
    font-family: $poppins-bold;
    font-size: 28px;
    line-height: 42px;
    margin: 0 0 21px;
  }

  .description {
    align-items: center;
    color: $neutral-80;
    display: flex;
    flex-direction: column;
    font-family: $roboto-regular;
    font-size: 16px;
    gap: 6px;
    line-height: 24px;
    margin-bottom: 32px;

    p {
      margin: 0;
      padding: 0;

      span {
        color: $caribbean-green-80;
        font-family: $roboto-bold;
        font-size: 16px;
        line-height: 24px;
      }
    }
    .offer-name,
    .offer-id,
    .offer-product {
      color: $caribbean-green-100;
      font-family: $poppins-bold;
    }
    .offer-message {
      font-size: 16px;
    }

    .offer-name {
      font-size: 20px;
      line-height: 32px;
    }

    .offer-id {
      font-size: 16px;
      line-height: 24px;
    }
    .offer-product {
      font-size: 16px;
      line-height: 24px;
    }
  }

  .buttons {
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding-bottom: 2rem;
    ::ng-deep button {
      width: 100%;
    }
  }
}
